<?php

namespace Litecms\Booking\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BookingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Booking\Models\Booking $booking)
    {
        return [
            'id'                => $booking->getRouteKey(),
            'key'               => [
                'public'    => $booking->getPublicKey(),
                'route'     => $booking->getRouteKey(),
            ], 
            'bus_name'          => $booking->bus_name,
            'source'            => $booking->source,
            'destination'       => $booking->destination,
            'date'              => $booking->date,
            'time'              => $booking->time,
            'total_tickets'     => $booking->total_tickets,
            'sold_tickets'      => $booking->sold_tickets,
            'available_tickets' => $booking->available_tickets,
            'url'               => [
                'public'    => trans_url('booking/'.$booking->getPublicKey()),
                'user'      => guard_url('booking/booking/'.$booking->getRouteKey()),
            ], 
            'status'            => trans('app.'.$booking->status),
            'created_at'        => format_date($booking->created_at),
            'updated_at'        => format_date($booking->updated_at),
        ];
    }
}